Loading...
Searching...
No Matches
mbedtls_dhm_context Struct Reference

The DHM context structure. More...

`#include <dhm.h>`

Collaboration diagram for mbedtls_dhm_context:
[legend]

## Data Fields

mbedtls_mpi | private_P
mbedtls_mpi | private_G
mbedtls_mpi | private_X
mbedtls_mpi | private_GX
mbedtls_mpi | private_GY
mbedtls_mpi | private_K
mbedtls_mpi | private_RP
mbedtls_mpi | private_Vi
mbedtls_mpi | private_Vf
mbedtls_mpi | private_pX
int | dummy

## Detailed Description

The DHM context structure.

Definition at line 101 of file dhm.h.

## Field Documentation

## dummy

int mbedtls_dhm_context::dummy

Definition at line 11 of file dhm_alt.h.

## private_G

mbedtls_mpi mbedtls_dhm_context::private_G

The generator.

Definition at line 103 of file dhm.h.

## private_GX

mbedtls_mpi mbedtls_dhm_context::private_GX

Our public key = `G^X` mod `P`.

Definition at line 105 of file dhm.h.

## private_GY

mbedtls_mpi mbedtls_dhm_context::private_GY

The public key of the peer = `G^Y` mod `P`.

Definition at line 106 of file dhm.h.

## private_K

mbedtls_mpi mbedtls_dhm_context::private_K

The shared secret = `G^`(XY) mod `P`.

Definition at line 107 of file dhm.h.

## private_P

mbedtls_mpi mbedtls_dhm_context::private_P

The prime modulus.

Definition at line 102 of file dhm.h.

## private_pX

mbedtls_mpi mbedtls_dhm_context::private_pX

The previous `X`.

Definition at line 111 of file dhm.h.

## private_RP

mbedtls_mpi mbedtls_dhm_context::private_RP

The cached value = `R^2` mod `P`.

Definition at line 108 of file dhm.h.

## private_Vf

mbedtls_mpi mbedtls_dhm_context::private_Vf

The unblinding value.

Definition at line 110 of file dhm.h.

## private_Vi

mbedtls_mpi mbedtls_dhm_context::private_Vi

The blinding value.

Definition at line 109 of file dhm.h.

## private_X

mbedtls_mpi mbedtls_dhm_context::private_X

Our secret value.

Definition at line 104 of file dhm.h.

The documentation for this struct was generated from the following files:

- dhm.h
- dhm_alt.h